
Foreman - Bug #12956

Ajax calls in host/hostgroup aren't running correctly because they use 'patch'

12/30/2015 04:59 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Host creation   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3010

  

Description

Our routes for ajax calls on host/hostgroup are mostly on 'post'.

In rails4 this needs to be changed to patch.

Examples: current_parameters, process_hostgroup for hostgroup

Associated revisions

Revision ec26cd80 - 01/04/2016 04:28 PM - Ori Rabin

Fixes #12956 - turned ajax calls to post

History

#1 - 12/30/2015 05:24 AM - Ori Rabin

- Description updated

#2 - 12/30/2015 07:20 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3010 added

#3 - 01/04/2016 03:12 AM - Dominic Cleal

- Category set to Host creation

- translation missing: en.field_release set to 71

#4 - 01/04/2016 05:02 PM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ec26cd80bb812c7aeec9a30a18bb067740e51164.
